Could we use Gnash and Lightspark with QupZilla? #278

Closed
eyome opened this Issue Feb 27, 2012 · 15 comments

4 participants

@eyome

Hi,

I would like to try gnash and lightspark but nothing works. Is it normal?

Regards.

@pejakm
QupZilla Browser member

I wouldn't rely on those, yet. Both plugins are far from full flash support, at the moment. You'll have better experience with HTML5 (if watching videos is your only concern), as well as using external program (Qupzilla plugin for this is on a half way to be finished :)).
As far as I know, lightspark works only on full NPAPI browsers (meaning Firefox), but I didn't try it on Qupzilla. Gnash should work on all browsers, but it performs even worse than lightspark.

Anyway, we can not do anything about it. If you have more questions, feel free to ask. You can also reach on #qupzilla IRC channel (Freenode server).

@nowrep
QupZilla Browser member

Hi,
if you haven't flash installed, those plugins should work fine (as far as they are supported by QtWebKit). Otherwise, you will (probably) get conflicts between flash plugins.

@eyome

Hi,

Thank you for yours replies.
My "flash needs" are only for video. For Youtube, I use HTML5 and it works correctly. I would like to try Gnash and Lightspark for others sources like Dailymotion, Vimeo....
I uninstalled Flash player and installed Gnash and Lightspark, and I'm very surprised because it never works!

@nowrep
QupZilla Browser member

Can you send some terminal output when you try to load flash object?
Also, can you try it with qttestbrowser?

@eyome

Hum :(, unfortunately, Chakra doesn't provide qttestbrowser.
and if I launch QupZilla with a terminal and I try to see one video on dailymotion, I have this:
[code]
[eyome@chakra-pc ~]$ qupzilla
QFont::setPixelSize: Pixel size <= 0 (0)
[/code]

I am not sure it's help you :D

@nowrep
QupZilla Browser member

Link to download qttestbrowser on the bottom of this page https://github.com/nowrep/QupZilla/wiki/Bug-Reports

@eyome

:'(

You will hate me: I never succeed any compilation. I will ask to the Chakra team if they want to provide this package....

@nowrep
QupZilla Browser member

You have 32bit system?

So then extract the archive and run qmake && make

@nowrep
QupZilla Browser member

That netscape plugin is already in your package, or at least for gnash package.

@pejakm
QupZilla Browser member

Both Gnash and Lightspark are only partially useful on YouTube. Any other video website will most probably not work.
Using Qupzilla with proper codecs:

(Currently I have only sound and no video, but I'm sure it used to work. It must have something to do with my codecs.)

@SeanCollins

What is required to make html5 work on qupzilla as far as OS support goes ? as in video/audio ?

@pejakm
QupZilla Browser member

You need a recent version of qtwebkit (for example I have 534.34) and gstreamer. Install gstreamer-ffmpeg if you want h264 support.

@nowrep
QupZilla Browser member

And also you have to be linux user, because windows build lacks html5 audio/video features

@nowrep
QupZilla Browser member

I am closing this issue, as there is no reason to use Gnash/Lightspark unless you want to have even more crashes than with official Adobe plugin.
Please use latest RC1 version of 11.2 flash player to get the best stability with QtWebKit browsers, it can be downloaded here

@nowrep nowrep closed this Mar 2, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment